/* 
 *  Тестировалось на Arduino IDE 1.8.5
 *  Дата тестирования 23.05.2018г.
*/

#include <Wire.h>                                         // Подключаем библиотеку Wire                     
#include <Adafruit_Sensor.h>                              // Подключаем библиотеку Adafruit_Sensor 
#include <Adafruit_BME280.h>                              // Подключаем библиотеку Adafruit_BME280 

#define SEALEVELPRESSURE_HPA (1013.25)                    // Задаем высоту                 
Adafruit_BME280 bme;

void setup() {
  Serial.begin(9600);                                     // Открытие последовательного порта на скорости 9600  

  if (!bme.begin(0x76)) {                                 // Инициализация датчика BME280
    Serial.println("Could not find a valid BME280!");     // Печать сообщения об ошибки
    while (1);
  }
}

void loop() {
  Serial.print("Temperature = ");                         // Печать текста
  Serial.print(bme.readTemperature());                    // Печать температуры
  Serial.println("*C");                                   // Печать текста

  Serial.print("Pressure = ");                            // Печать текста       
  Serial.print(bme.readPressure() / 100.0F);              // Печать атмосферное давление
  Serial.println("hPa");                                  // Печать текста

  Serial.print("Approx. Altitude = ");                    // Печать текста
  Serial.print(bme.readAltitude(SEALEVELPRESSURE_HPA));   // Вычисление высоты
  Serial.println("m");                                    // Печать текста

  Serial.print("Humidity = ");                            // Печать текста
  Serial.print(bme.readHumidity());                       // Печать влажности
  Serial.println("%");                                    // Печать текста

  Serial.println();                                       // Новая строка
  delay(1000);                                            // Пауза 1С
}
